> This page is for API Reference.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://fiftytwo-demo.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://fiftytwo-demo.ferndocs.com/_mcp/server.

# Get store group by ID, chain, and store

GET https://api.fiftytwo.com/masterdata/storegroups/v1/chain/{chainId}/store/{storeId}/{storeGroupId}



Reference: https://fiftytwo-demo.ferndocs.com/api/master-data/reference/store-groups/get-store-group-by-id-chain-and-store

## Request

### Path parameters

- `storeGroupId` (string, required) — The ID of the store group to retrieve
- `chainId` (integer, required) — The ID of the chain
- `storeId` (integer, required) — The ID of the store

## Response

### 200

Success

- `storeGroups` (list of StoreGroupsStoreGroupsItems, required)

## Errors

### 400 Bad Request Error

Bad Request

- `string`

## Types

### StoreGroupsStoreGroupsItems

- `storeGroupId` (string, required) — The ID of the store group. Reference this ID to scope, for example, a campaign or prices to stores in the store group. Must match the regular expression ^\[B-Z]\[A-Z,0-9]\$
- `description` (string, optional) — A short description of the store group.
- `storeIds` (list of string, optional) — The store IDs of stores in this store group. To include ranges of store IDs, use the format 1 3..5 7 10, where '3..5' means 'from and including 3 to and including 5'.

## Examples

**Response**

```json
{
  "storeGroups": [
    {
      "storeGroupId": "BBBB",
      "description": "My storegroup.",
      "storeIds": [
        "1",
        "3..5",
        "7",
        "10"
      ]
    }
  ]
}
```

**SDK Code**

```python StoreGroups_getStoreGroupByIdChainAndStore_example
import requests

url = "https://api.fiftytwo.com/masterdata/storegroups/v1/chain/1/store/1/storeGroupId"

response = requests.get(url)

print(response.json())
```

```javascript StoreGroups_getStoreGroupByIdChainAndStore_example
const url = 'https://api.fiftytwo.com/masterdata/storegroups/v1/chain/1/store/1/storeGroupId';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go StoreGroups_getStoreGroupByIdChainAndStore_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.fiftytwo.com/masterdata/storegroups/v1/chain/1/store/1/storeGroupId"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby StoreGroups_getStoreGroupByIdChainAndStore_example
require 'uri'
require 'net/http'

url = URI("https://api.fiftytwo.com/masterdata/storegroups/v1/chain/1/store/1/storeGroupId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java StoreGroups_getStoreGroupByIdChainAndStore_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.fiftytwo.com/masterdata/storegroups/v1/chain/1/store/1/storeGroupId")
  .asString();
```

```php StoreGroups_getStoreGroupByIdChainAndStore_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.fiftytwo.com/masterdata/storegroups/v1/chain/1/store/1/storeGroupId');

echo $response->getBody();
```

```csharp StoreGroups_getStoreGroupByIdChainAndStore_example
using RestSharp;

var client = new RestClient("https://api.fiftytwo.com/masterdata/storegroups/v1/chain/1/store/1/storeGroupId");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift StoreGroups_getStoreGroupByIdChainAndStore_example
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api.fiftytwo.com/masterdata/storegroups/v1/chain/1/store/1/storeGroupId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```